package models

type OpenIdSetRequest struct {
	Code string `json:"code"` //微信code
}

type OpenIdSetResponse struct {
	SessionKey string `json:"session_key,omitempty"`
	OpenId     string `json:"openid,omitempty"`
	Errcode    int    `json:"errcode,omitempty"`
	Errmsg     string `json:"errmsg,omitempty"`
}

type GetUserInfoRequest struct {
	OpenId string `json:"open_id"`
}

type GetUserInfoResponse struct {
	OpenId string `json:"open_id"`
}

type MerchantUserCodeRequest struct {
	Code string `json:"code"`
}

type MerchantUserCodeResponse struct {
	OpenId string `json:"open_id"`
}
