package report

import "github.com/robfig/cron"

const (
	cronSettDateCutoff = "0 0 1 * * *"   //每天凌晨1:00:00
	cronRunStart       = "0 0 17 * * *"  //凌晨一点
	cronMinuteStart    = "0 */1 * * * *" //每1分钟
	cronMinuteTwoStart = "0 */2 * * * *" //每2分钟

)

func SysCronStart() {
	c := cron.New()
	c.AddFunc(cronMinuteStart, ClientAccount)     //每分钟同步一下订单
	c.AddFunc(cronMinuteStart, CashOut)           //提现
	c.AddFunc(cronMinuteTwoStart, CashOutAccount) //提现账户扣减
	c.Start()
}
