package models

import "github.com/shopspring/decimal"

type CashOutListRequest struct {
	OpenId    string `json:"open_id"`
	Appid     string `json:"appid"`
	PageSize  int    `json:"page_size"`
	PageIndex int    `json:"page_index"`
}

type CashOutListReply struct {
	TotalAmount decimal.Decimal `json:"total_amount"` //总金额
	CreateAt    string          `json:"create_at"`    //创建时间
	Fee         decimal.Decimal `json:"fee"`          //手续费
	Amount      decimal.Decimal `json:"amount"`       //实际到账金额
	Des         string          `json:"des"`
}
