package models

type CreateMerchantRechargeRequest struct {
	//MerchantRecharge []MerchantRecharge `json:"merchant_recharge"`
	//Id                   int64  `json:"id"`                     //id
	MerchantRechargeName string `json:"merchant_recharge_name"` // 招商充值名称
	MerchantOpenID       string `json:"merchant_open_id"`       // Open id
	CardProjectData      string `json:"card_project_data"`
}

type MerchantRecharge struct {
	Id                   int64  `json:"id"`                     //id
	MerchantRechargeName string `json:"merchant_recharge_name"` // 招商充值名称
	MerchantOpenID       string `json:"merchant_open_id"`       // Open id
	CardProjectData      string `json:"card_project_data"`
}

type DelMerchantRechargeRequest struct {
	Id int64 `json:"id"`
}

type MerchantRechargeListRequest struct {
	OpenId    string `json:"open_id"`
	PageSize  int    `json:"page_size"`
	PageIndex int    `json:"page_index"`
}
