package shanghu

import (
	"time"
)

type MerchantClientCardUseLog struct {
	ID             int64     `gorm:"column:id;type:bigint(20);primary_key;AUTO_INCREMENT" json:"id"`
	MerchantCardID int64     `gorm:"column:merchant_card_id;type:bigint(20)" json:"merchant_card_id"`   // 商户卡id
	MerchantOpenID int64     `gorm:"column:merchant_open_id;type:bigint(20)" json:"merchant_open_id"`   // 核销人
	ClinetOpenID   string    `gorm:"column:clinet_open_id;type:varchar(255)" json:"clinet_open_id"`     // Openid
	CreateBy       int64     `gorm:"column:create_by;type:bigint(20)" json:"create_by"`                 // 创建者
	UpdateBy       int64     `gorm:"column:update_by;type:bigint(20)" json:"update_by"`                 // 更新者
	CreatedAt      time.Time `gorm:"column:created_at;type:datetime(3)" json:"created_at"`              // 创建时间
	UpdatedAt      time.Time `gorm:"column:updated_at;type:datetime(3)" json:"updated_at"`              // 最后更新时间
	DeletedAt      time.Time `gorm:"column:deleted_at;type:datetime(3);default:null" json:"deleted_at"` // 删除时间
}

func (m *MerchantClientCardUseLog) TableName() string {
	return "merchant_client_card_use_log"
}
